<?php declare(strict_types=1);

namespace korElf\TranslateLaravel\Contracts;

use korElf\TranslateLaravel\DTO\Languages;
use Illuminate\Contracts\Foundation\Application;

interface Translate
{
    public static function init(Application $app, array $config = []): self;

    public function translateText(string|array $text, string $targetLanguageCode, ?string $sourceLanguageCode = null): string|array;

    public function translateHtml(string|array $text, string $targetLanguageCode, ?string $sourceLanguageCode = null): string|array;

    public function listLanguages(): Languages;
}