<?php declare(strict_types=1);

namespace korElf\TranslateLaravel;

use Illuminate\Support\ServiceProvider;
use Illuminate\Contracts\Foundation\Application;
use korElf\TranslateLaravel\Translate\TranslateManager;

final class TranslateLaravelProvider extends ServiceProvider
{
    public function boot(): Void
    {
        $this->publishes([
            __DIR__ . '/../config/translate.php' => config_path('translate.php'),
        ], 'config');
    }

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register(): Void
    {
        $this->mergeConfigFrom(
            __DIR__ . '/../config/translate.php',
            'translate'
        );

        $this->app->singleton('translate', function (Application $app) {
            return new TranslateManager($app);
        });
    }

}